FROM openjdk:21-jdk-slim

ENV JAVA_TOOL_OPTIONS -agentlib:jdwp=transport=dt_socket,address=8000,server=y,suspend=n
ENV HTTP_PROXY http://webproxy3.pta.de:8080
ENV HTTPS_PROXY http://webproxy3.pta.de:8080
ENV TZ Europe/Berlin

# install tzdata to set the right timezone
#RUN apk add --no-cache tzdata # alpine
RUN apt-get update && apt-get install -y tzdata && rm -rf /var/lib/apt/lists/*

COPY /target/grid-failure-information.backend.stoerungsauskunft-interface.jar /usr/src/cbd/
WORKDIR usr/src/cbd
CMD ["java", "-jar", "-Dspring.profiles.active=devserver-unsecure", "grid-failure-information.backend.stoerungsauskunft-interface.jar"]
